Subject: bug#43789: 27.1; Dired cannot handle file which name contains linebreak

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Oct 2020 10:26:29 +0200

Eli Zaretskii <[email-masked]> writes:

>> One downside is that -b isn't POSIX.
>
> Right.

I thought I remembered seeing some code in dired to probe for whether a
switch was supported or not...  did I just dream that?

> I'm also not sure everyone would like to see \002 instead of ^B.

Both control characters and newlines are pretty rare occurrences in file
names, but I'd take \002 for ^B over a Dired that doesn't work with \n.
Functionality over prettiness, or something. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no